# std::array::swap

From cppreference.com
< cpp‎ | container‎ | array

void swap( array& other ); |  | (since C++11)

Exchanges the contents of the container with those of `other`. Does not cause iterators and references to associate with the other container.

### Parameters

other | - | container to exchange the contents with

### Return value

(none)

### Exceptions

`noexcept` specification: noexcept(noexcept(std::swap(declval<T&>(), declval<T&>()))) | (until C++17)
`noexcept` specification: noexcept(std::is_nothrow_swappable<T>::value) | (since C++17)

For zero-sized arrays,
`noexcept` specification:
noexcept

### Complexity

Linear in size of the container.

### See also

std::swap(std::array) (C++11) | specializes the std::swap algorithm (function template)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/array/swap&oldid=91323"
Categories:

- conditionally noexcept
- unconditionally noexcept

Hidden categories:

- Pages with unreviewed conditional noexcept template
- Pages with unreviewed noexcept template
- Pages with unreviewed unconditional noexcept template